// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from nao_command_msgs:msg/JointStiffnesses.idl
// generated code does not contain a copyright notice

#ifndef NAO_COMMAND_MSGS__MSG__DETAIL__JOINT_STIFFNESSES__STRUCT_H_
#define NAO_COMMAND_MSGS__MSG__DETAIL__JOINT_STIFFNESSES__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

// Include directives for member types
// Member 'indexes'
// Member 'stiffnesses'
#include "rosidl_runtime_c/primitives_sequence.h"

/// Struct defined in msg/JointStiffnesses in the package nao_command_msgs.
/**
  * Message to specify stiffnesses for the NAO's motor joints.
  *
  * Each joint is uniquely identified by its index (See JointIndexes.msg)
  *
  * The two arrays in this message should have the same size, where the first item
  * in indexes, corresponds to the first item in stiffnesses, etc.
 */
typedef struct nao_command_msgs__msg__JointStiffnesses
{
  /// See JointIndexes.msg (eg. JointIndexes::HEADYAW)
  rosidl_runtime_c__uint8__Sequence indexes;
  /// 0.0 - 1.0
  rosidl_runtime_c__float__Sequence stiffnesses;
} nao_command_msgs__msg__JointStiffnesses;

// Struct for a sequence of nao_command_msgs__msg__JointStiffnesses.
typedef struct nao_command_msgs__msg__JointStiffnesses__Sequence
{
  nao_command_msgs__msg__JointStiffnesses * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nao_command_msgs__msg__JointStiffnesses__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NAO_COMMAND_MSGS__MSG__DETAIL__JOINT_STIFFNESSES__STRUCT_H_
