// generated from rosidl_generator_c/resource/idl__description.c.em
// with input from nao_command_msgs:msg/JointPositions.idl
// generated code does not contain a copyright notice

#include "nao_command_msgs/msg/detail/joint_positions__functions.h"

ROSIDL_GENERATOR_C_PUBLIC_nao_command_msgs
const rosidl_type_hash_t *
nao_command_msgs__msg__JointPositions__get_type_hash(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_type_hash_t hash = {1, {
      0x36, 0x61, 0x28, 0x0b, 0xf0, 0x6b, 0x2c, 0x6b,
      0x01, 0xd1, 0xa7, 0x7d, 0xe3, 0x4b, 0xa2, 0xd1,
      0xd3, 0xff, 0x79, 0x3c, 0x7e, 0x5e, 0x07, 0x52,
      0x03, 0x49, 0x12, 0x21, 0x2e, 0x9b, 0x49, 0x0c,
    }};
  return &hash;
}

#include <assert.h>
#include <string.h>

// Include directives for referenced types

// Hashes for external referenced types
#ifndef NDEBUG
#endif

static char nao_command_msgs__msg__JointPositions__TYPE_NAME[] = "nao_command_msgs/msg/JointPositions";

// Define type names, field names, and default values
static char nao_command_msgs__msg__JointPositions__FIELD_NAME__indexes[] = "indexes";
static char nao_command_msgs__msg__JointPositions__FIELD_NAME__positions[] = "positions";

static rosidl_runtime_c__type_description__Field nao_command_msgs__msg__JointPositions__FIELDS[] = {
  {
    {nao_command_msgs__msg__JointPositions__FIELD_NAME__indexes, 7, 7},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_UINT8_UNBOUNDED_SEQUENCE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
  {
    {nao_command_msgs__msg__JointPositions__FIELD_NAME__positions, 9, 9},
    {
      rosidl_runtime_c__type_description__FieldType__FIELD_TYPE_FLOAT_UNBOUNDED_SEQUENCE,
      0,
      0,
      {NULL, 0, 0},
    },
    {NULL, 0, 0},
  },
};

const rosidl_runtime_c__type_description__TypeDescription *
nao_command_msgs__msg__JointPositions__get_type_description(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static bool constructed = false;
  static const rosidl_runtime_c__type_description__TypeDescription description = {
    {
      {nao_command_msgs__msg__JointPositions__TYPE_NAME, 35, 35},
      {nao_command_msgs__msg__JointPositions__FIELDS, 2, 2},
    },
    {NULL, 0, 0},
  };
  if (!constructed) {
    constructed = true;
  }
  return &description;
}

static char toplevel_type_raw_source[] =
  "# Message to specify positions for the NAO's motor joints.\n"
  "#\n"
  "# Each joint is uniquely identified by its index (See JointIndexes.msg)\n"
  "#\n"
  "# The two arrays in this message should have the same size, where the first item\n"
  "# in indexes, corresponds to the first item in positions, etc.\n"
  "\n"
  "uint8[] indexes  # See JointIndexes.msg (eg. JointIndexes::HEADYAW)\n"
  "float32[] positions # radians";

static char msg_encoding[] = "msg";

// Define all individual source functions

const rosidl_runtime_c__type_description__TypeSource *
nao_command_msgs__msg__JointPositions__get_individual_type_description_source(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static const rosidl_runtime_c__type_description__TypeSource source = {
    {nao_command_msgs__msg__JointPositions__TYPE_NAME, 35, 35},
    {msg_encoding, 3, 3},
    {toplevel_type_raw_source, 377, 377},
  };
  return &source;
}

const rosidl_runtime_c__type_description__TypeSource__Sequence *
nao_command_msgs__msg__JointPositions__get_type_description_sources(
  const rosidl_message_type_support_t * type_support)
{
  (void)type_support;
  static rosidl_runtime_c__type_description__TypeSource sources[1];
  static const rosidl_runtime_c__type_description__TypeSource__Sequence source_sequence = {sources, 1, 1};
  static bool constructed = false;
  if (!constructed) {
    sources[0] = *nao_command_msgs__msg__JointPositions__get_individual_type_description_source(NULL),
    constructed = true;
  }
  return &source_sequence;
}
