// generated from rosidl_generator_cpp/resource/idl__struct.hpp.em
// with input from nao_command_msgs:msg/LeftEarLeds.idl
// generated code does not contain a copyright notice

#ifndef NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EAR_LEDS__STRUCT_HPP_
#define NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EAR_LEDS__STRUCT_HPP_

#include <algorithm>
#include <array>
#include <memory>
#include <string>
#include <vector>

#include "rosidl_runtime_cpp/bounded_vector.hpp"
#include "rosidl_runtime_cpp/message_initialization.hpp"


#ifndef _WIN32
# define DEPRECATED__nao_command_msgs__msg__LeftEarLeds __attribute__((deprecated))
#else
# define DEPRECATED__nao_command_msgs__msg__LeftEarLeds __declspec(deprecated)
#endif

namespace nao_command_msgs
{

namespace msg
{

// message struct
template<class ContainerAllocator>
struct LeftEarLeds_
{
  using Type = LeftEarLeds_<ContainerAllocator>;

  explicit LeftEarLeds_(rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<float, 10>::iterator, float>(this->intensities.begin(), this->intensities.end(), 0.0f);
    }
  }

  explicit LeftEarLeds_(const ContainerAllocator & _alloc, rosidl_runtime_cpp::MessageInitialization _init = rosidl_runtime_cpp::MessageInitialization::ALL)
  : intensities(_alloc)
  {
    if (rosidl_runtime_cpp::MessageInitialization::ALL == _init ||
      rosidl_runtime_cpp::MessageInitialization::ZERO == _init)
    {
      std::fill<typename std::array<float, 10>::iterator, float>(this->intensities.begin(), this->intensities.end(), 0.0f);
    }
  }

  // field types and members
  using _intensities_type =
    std::array<float, 10>;
  _intensities_type intensities;

  // setters for named parameter idiom
  Type & set__intensities(
    const std::array<float, 10> & _arg)
  {
    this->intensities = _arg;
    return *this;
  }

  // constant declarations
  static constexpr int32_t L0 =
    0;
  static constexpr int32_t L1 =
    1;
  static constexpr int32_t L2 =
    2;
  static constexpr int32_t L3 =
    3;
  static constexpr int32_t L4 =
    4;
  static constexpr int32_t L5 =
    5;
  static constexpr int32_t L6 =
    6;
  static constexpr int32_t L7 =
    7;
  static constexpr int32_t L8 =
    8;
  static constexpr int32_t L9 =
    9;
  static constexpr int32_t NUM_LEDS =
    10;

  // pointer types
  using RawPtr =
    nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> *;
  using ConstRawPtr =
    const nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> *;
  using SharedPtr =
    std::shared_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>>;
  using ConstSharedPtr =
    std::shared_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> const>;

  template<typename Deleter = std::default_delete<
      nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>>>
  using UniquePtrWithDeleter =
    std::unique_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>, Deleter>;

  using UniquePtr = UniquePtrWithDeleter<>;

  template<typename Deleter = std::default_delete<
      nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>>>
  using ConstUniquePtrWithDeleter =
    std::unique_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> const, Deleter>;
  using ConstUniquePtr = ConstUniquePtrWithDeleter<>;

  using WeakPtr =
    std::weak_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>>;
  using ConstWeakPtr =
    std::weak_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> const>;

  // pointer types similar to ROS 1, use SharedPtr / ConstSharedPtr instead
  // NOTE: Can't use 'using' here because GNU C++ can't parse attributes properly
  typedef DEPRECATED__nao_command_msgs__msg__LeftEarLeds
    std::shared_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator>>
    Ptr;
  typedef DEPRECATED__nao_command_msgs__msg__LeftEarLeds
    std::shared_ptr<nao_command_msgs::msg::LeftEarLeds_<ContainerAllocator> const>
    ConstPtr;

  // comparison operators
  bool operator==(const LeftEarLeds_ & other) const
  {
    if (this->intensities != other.intensities) {
      return false;
    }
    return true;
  }
  bool operator!=(const LeftEarLeds_ & other) const
  {
    return !this->operator==(other);
  }
};  // struct LeftEarLeds_

// alias to use template instance with default allocator
using LeftEarLeds =
  nao_command_msgs::msg::LeftEarLeds_<std::allocator<void>>;

// constant definitions
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L0;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L1;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L2;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L3;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L4;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L5;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L6;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L7;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L8;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::L9;
#endif  // __cplusplus < 201703L
#if __cplusplus < 201703L
// static constexpr member variable definitions are only needed in C++14 and below, deprecated in C++17
template<typename ContainerAllocator>
constexpr int32_t LeftEarLeds_<ContainerAllocator>::NUM_LEDS;
#endif  // __cplusplus < 201703L

}  // namespace msg

}  // namespace nao_command_msgs

#endif  // NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EAR_LEDS__STRUCT_HPP_
