// generated from rosidl_generator_c/resource/idl__struct.h.em
// with input from nao_command_msgs:msg/LeftEyeLeds.idl
// generated code does not contain a copyright notice

#ifndef NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__STRUCT_H_
#define NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__STRUCT_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

// Constants defined in the message

/// Constant 'L0'.
/**
  * LED locations and their ids are shown below
  *                          _                         #
  *      /                  (_)                 \      #
  *     /                                        \     #
  *    /                               L0         \    #
  *   |         ____              L1  ____  L7     |   #
  *   |        /    \                /    \        |   #
  *   |       |  **  |          L2  |  **  |  L6   |   #
  *   |        \____/                \____/        |   #
  *   |                           L3        L5     |   #
  *    \                               L4         /    #
  *     \                                        /     #
  *      \                  ___                 /      #
  *       \__               \_/             __/        #
  *          \__                         ___/          #
  *             \_______________________/              #
  * For more details, refer to http://doc.aldebaran.com/2-1/family/robots/leds_robot.html#nao-v5-v4-and-v3-3
 */
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L0 = 0l
};

/// Constant 'L1'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L1 = 1l
};

/// Constant 'L2'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L2 = 2l
};

/// Constant 'L3'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L3 = 3l
};

/// Constant 'L4'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L4 = 4l
};

/// Constant 'L5'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L5 = 5l
};

/// Constant 'L6'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L6 = 6l
};

/// Constant 'L7'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__L7 = 7l
};

/// Constant 'NUM_LEDS'.
enum
{
  nao_command_msgs__msg__LeftEyeLeds__NUM_LEDS = 8l
};

// Include directives for member types
// Member 'colors'
#include "std_msgs/msg/detail/color_rgba__struct.h"

/// Struct defined in msg/LeftEyeLeds in the package nao_command_msgs.
/**
  * Message identifying colors for each RGB LED in the NAO's eyes.
  * Expect ranges for R, G and B are 0.0 - 1.0.
  * The alpha value (A) is ignored.
 */
typedef struct nao_command_msgs__msg__LeftEyeLeds
{
  std_msgs__msg__ColorRGBA colors[8];
} nao_command_msgs__msg__LeftEyeLeds;

// Struct for a sequence of nao_command_msgs__msg__LeftEyeLeds.
typedef struct nao_command_msgs__msg__LeftEyeLeds__Sequence
{
  nao_command_msgs__msg__LeftEyeLeds * data;
  /// The number of valid items in data
  size_t size;
  /// The number of allocated items in data
  size_t capacity;
} nao_command_msgs__msg__LeftEyeLeds__Sequence;

#ifdef __cplusplus
}
#endif

#endif  // NAO_COMMAND_MSGS__MSG__DETAIL__LEFT_EYE_LEDS__STRUCT_H_
